Changeset 92 for ThirdParty/Blas


Ignore:
Timestamp:
Jul 10, 2006 2:48:23 PM (13 years ago)
Author:
andreasw
Message:

updated according to changes in BuildTools?

Location:
ThirdParty/Blas/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/Makefile.in

    r77 r92  
    118118CCDEPMODE = @CCDEPMODE@
    119119CFLAGS = @CFLAGS@
    120 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    121 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    122120CPP = @CPP@
    123121CPPFLAGS = @CPPFLAGS@
     
    127125CXXFLAGS = @CXXFLAGS@
    128126CYGPATH_W = @CYGPATH_W@
     127DBG_FFLAGS = @DBG_FFLAGS@
    129128DEFS = @DEFS@
    130129DEPDIR = @DEPDIR@
     
    159158MPIF77 = @MPIF77@
    160159OBJEXT = @OBJEXT@
     160OPT_FFLAGS = @OPT_FFLAGS@
    161161PACKAGE = @PACKAGE@
    162162PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  • ThirdParty/Blas/trunk/configure

    r83 r92  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os COIN_DEBUG_TRUE COIN_DEBUG_FALSE F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT ADD_FFLAGS MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    914914ac_cv_env_target_alias_set=${target_alias+set}
    915915ac_cv_env_target_alias_value=$target_alias
     916ac_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
     917ac_env_ADD_FFLAGS_value=$ADD_FFLAGS
     918ac_cv_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
     919ac_cv_env_ADD_FFLAGS_value=$ADD_FFLAGS
     920ac_env_DBG_FFLAGS_set=${DBG_FFLAGS+set}
     921ac_env_DBG_FFLAGS_value=$DBG_FFLAGS
     922ac_cv_env_DBG_FFLAGS_set=${DBG_FFLAGS+set}
     923ac_cv_env_DBG_FFLAGS_value=$DBG_FFLAGS
     924ac_env_OPT_FFLAGS_set=${OPT_FFLAGS+set}
     925ac_env_OPT_FFLAGS_value=$OPT_FFLAGS
     926ac_cv_env_OPT_FFLAGS_set=${OPT_FFLAGS+set}
     927ac_cv_env_OPT_FFLAGS_value=$OPT_FFLAGS
    916928ac_env_F77_set=${F77+set}
    917929ac_env_F77_value=$F77
     
    926938ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
    927939ac_cv_env_LDFLAGS_value=$LDFLAGS
    928 ac_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
    929 ac_env_ADD_FFLAGS_value=$ADD_FFLAGS
    930 ac_cv_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
    931 ac_cv_env_ADD_FFLAGS_value=$ADD_FFLAGS
    932940ac_env_MPIF77_set=${MPIF77+set}
    933941ac_env_MPIF77_value=$MPIF77
     
    10431051  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10441052  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1045   --enable-debug          compile with debug options and runtime tests
     1053  --enable-debug          compile all projects with debug options tests
     1054  --enable-debug-blas compile this project (Blas) with debug options
    10461055  --enable-static[=PKGS]
    10471056                          build static libraries [default=no]
     
    10591068  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    10601069  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     1070  --with-blas-verbosity specify the debug verbosity level for project Blas
     1071  --with-blas-checklevel specify the sanity check level for project Blas
    10611072  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    10621073  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    10661077
    10671078Some influential environment variables:
     1079  ADD_FFLAGS  Additional Fortran compiler options
     1080  DBG_FFLAGS  Debug Fortran compiler options
     1081  OPT_FFLAGS  Optimize Fortran compiler options
    10681082  F77         Fortran 77 compiler command
    10691083  FFLAGS      Fortran 77 compiler flags
    10701084  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
    10711085              nonstandard directory <lib dir>
    1072   ADD_FFLAGS  Additional Fortran compiler options
    10731086  MPIF77      Fortran MPI Compiler
    10741087  CC          C compiler command
     
    16471660  enableval="$enable_debug"
    16481661  case "${enableval}" in
    1649                    yes) coin_debug_compile=true
    1650 
    1651 cat >>confdefs.h <<\_ACEOF
    1652 #define COIN_DEBUG 1
    1653 _ACEOF
    1654 
    1655                      enable_shared=no
    1656                      ;;
    1657                    no)  coin_debug_compile=false
    1658                      ;;
    1659                     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
     1662   yes) coin_debug_compile=true
     1663        enable_shared=no
     1664        ;;
     1665   no)  coin_debug_compile=false
     1666        ;;
     1667   *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
    16601668echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
    16611669   { (exit 1); exit 1; }; }
    1662                      ;;
    1663                  esac
     1670        ;;
     1671esac
    16641672else
    16651673  coin_debug_compile=false
    16661674fi;
     1675
     1676# Check whether --enable-debug-blas or --disable-debug-blas was given.
     1677if test "${enable_debug_blas+set}" = set; then
     1678  enableval="$enable_debug_blas"
     1679  case "${enableval}" in
     1680    yes) coin_debug_compile=true
     1681         enable_shared=no
     1682         ;;
     1683    no)  coin_debug_compile=false
     1684         ;;
     1685    *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug-blas" >&5
     1686echo "$as_me: error: bad value ${enableval} for --enable-debug-blas" >&2;}
     1687   { (exit 1); exit 1; }; }
     1688         ;;
     1689 esac
     1690else
     1691  :
     1692fi;
     1693
     1694 # m4_ifvaln([Blas],
    16671695
    16681696if test $coin_debug_compile = true; then
     
    16751703
    16761704
    1677 
    1678 if test "$coin_debug_compile" = true; then
    1679   COIN_DEBUG_TRUE=
    1680   COIN_DEBUG_FALSE='#'
    1681 else
    1682   COIN_DEBUG_TRUE='#'
    1683   COIN_DEBUG_FALSE=
    1684 fi
     1705# Check whether --with-blas-verbosity or --without-blas-verbosity was given.
     1706if test "${with_blas_verbosity+set}" = set; then
     1707  withval="$with_blas_verbosity"
     1708  coin_blas_verbosity=$withval
     1709else
     1710  coin_blas_verbosity=0
     1711fi;
     1712
     1713cat >>confdefs.h <<_ACEOF
     1714#define COIN_BLAS_VERBOSITY $coin_blas_verbosity
     1715_ACEOF
     1716
     1717
     1718
     1719# Check whether --with-blas-checklevel or --without-blas-checklevel was given.
     1720if test "${with_blas_checklevel+set}" = set; then
     1721  withval="$with_blas_checklevel"
     1722  coin_blas_checklevel=$withval
     1723else
     1724  coin_blas_checklevel=0
     1725fi;
     1726
     1727cat >>confdefs.h <<_ACEOF
     1728#define COIN_BLAS_CHECKLEVEL $coin_blas_checklevel
     1729_ACEOF
     1730
     1731
     1732# We use the following variable to have a string with the upper case
     1733# version of the project name
     1734COIN_PRJCT=BLAS
     1735
     1736
     1737 # m4_ifvaln([Blas],
    16851738
    16861739
     
    17031756
    17041757
     1758
     1759
     1760
     1761
    17051762coin_has_f77=yes
    17061763
     
    17081765case $build in
    17091766  *-cygwin* | *-mingw*)
    1710              comps="gfortran g77 ifort" ;;
    1711   *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc" ;;
     1767             comps="gfortran g77 ifort fl32" ;;
     1768  *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    17121769esac
    17131770
    17141771# We delete the cached value, since the test might not have been
    17151772# performed with out choise of compilers earlier
    1716 ac_cv_prog_F77=
     1773$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    17171774ac_ext=f
    17181775ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    18071864
    18081865# Provide some information about the compiler.
    1809 echo "$as_me:1809:" \
     1866echo "$as_me:1866:" \
    18101867     "checking for Fortran 77 compiler version" >&5
    18111868ac_compiler=`set X $ac_compile; echo $2`
     
    21332190FFLAGS="$save_fflags"
    21342191
    2135 echo "$as_me:$LINENO: checking for Fortran compiler options" >&5
    2136 echo $ECHO_N "checking for Fortran compiler options... $ECHO_C" >&6
    2137 if test "${coin_cv_fflags+set}" = set; then
    2138   echo $ECHO_N "(cached) $ECHO_C" >&6
    2139 else
    2140   if test x"$FFLAGS" = x; then
     2192# Check if a project specific FFLAGS variable has been set
     2193if test x$COIN_PRJCT != x; then
     2194  eval coin_tmp=\${${COIN_PRJCT}_FFLAGS+set}
     2195  if test x$coin_tmp = xset; then
     2196    eval FFLAGS=\${${COIN_PRJCT}_FFLAGS}
     2197  fi
     2198fi
     2199
     2200if test x"$FFLAGS" = x; then
    21412201
    21422202  coin_add_fflags=
     
    22822342  fi
    22832343
    2284   if test "$coin_debug_compile" = true; then
    2285     FFLAGS="$coin_dbg_fflags $coin_add_fflags $coin_warn_fflags"
    2286   else
    2287     if test -z "$coin_opt_fflags"; then
    2288       # Try if -O option works if nothing else is set
    2289       FFLAGS=-O
    2290       cat >conftest.$ac_ext <<_ACEOF
     2344  if test -z "$coin_opt_fflags"; then
     2345    # Try if -O option works if nothing else is set
     2346    FFLAGS=-O
     2347    cat >conftest.$ac_ext <<_ACEOF
    22912348      program main
    22922349      integer i
     
    23232380rm -f conftest.err conftest.$ac_objext \
    23242381      conftest$ac_exeext conftest.$ac_ext
    2325     fi
    2326     FFLAGS="$coin_opt_fflags $coin_add_fflags $coin_warn_fflags"
    23272382  fi
    2328 fi
    2329 
    2330 # Check if user wants to have additional FFLAGS options
    2331 
    2332 if test x"$ADD_FFLAGS" != x; then
     2383
     2384  if test x${DBG_FFLAGS+set} != xset; then
     2385    DBG_FFLAGS="$coin_dbg_fflags $coin_add_fflags $coin_warn_fflags"
     2386  fi
     2387  if test x${OPT_FFLAGS+set} != xset; then
     2388    OPT_FFLAGS="$coin_opt_fflags $coin_add_fflags -DNDEBUG $coin_warn_fflags"
     2389  fi
     2390
     2391  DBG_FFLAGS="$DBG_FFLAGS $ADD_FFLAGS"
     2392  OPT_FFLAGS="$OPT_FFLAGS $ADD_FFLAGS"
     2393
     2394  if test "$coin_debug_compile" = "true"; then
     2395    FFLAGS="$DBG_FFLAGS"
     2396  else
     2397    FFLAGS="$OPT_FFLAGS"
     2398  fi
     2399else
    23332400  FFLAGS="$FFLAGS $ADD_FFLAGS"
     2401  if test x${DBG_FFLAGS+set} != xset; then
     2402    DBG_FFLAGS="$FFLAGS"
     2403  fi
     2404  if test x${OPT_FFLAGS+set} != xset; then
     2405    OPT_FFLAGS="$FFLAGS"
     2406  fi
    23342407fi
    23352408
     
    24162489  fi
    24172490fi
    2418 coin_cv_fflags="$FFLAGS"
    2419 
    2420 fi
    2421 echo "$as_me:$LINENO: result: $coin_cv_fflags" >&5
    2422 echo "${ECHO_T}$coin_cv_fflags" >&6 # AC_CACHE_CHECK([for Fortran compiler options FFLAGS]
    2423 FFLAGS="$coin_cv_fflags"
     2491
     2492{ echo "$as_me:$LINENO: Fortran compiler options are: $FFLAGS" >&5
     2493echo "$as_me: Fortran compiler options are: $FFLAGS" >&6;}
    24242494
    24252495
     
    43134383*-*-irix6*)
    43144384  # Find out which ABI we are using.
    4315   echo '#line 4315 "configure"' > conftest.$ac_ext
     4385  echo '#line 4385 "configure"' > conftest.$ac_ext
    43164386  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    43174387  (eval $ac_compile) 2>&5
     
    67426812   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    67436813   -e 's:$: $lt_compiler_flag:'`
    6744    (eval echo "\"\$as_me:6744: $lt_compile\"" >&5)
     6814   (eval echo "\"\$as_me:6814: $lt_compile\"" >&5)
    67456815   (eval "$lt_compile" 2>conftest.err)
    67466816   ac_status=$?
    67476817   cat conftest.err >&5
    6748    echo "$as_me:6748: \$? = $ac_status" >&5
     6818   echo "$as_me:6818: \$? = $ac_status" >&5
    67496819   if (exit $ac_status) && test -s "$ac_outfile"; then
    67506820     # The compiler can only warn and ignore the option if not recognized
     
    70107080   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70117081   -e 's:$: $lt_compiler_flag:'`
    7012    (eval echo "\"\$as_me:7012: $lt_compile\"" >&5)
     7082   (eval echo "\"\$as_me:7082: $lt_compile\"" >&5)
    70137083   (eval "$lt_compile" 2>conftest.err)
    70147084   ac_status=$?
    70157085   cat conftest.err >&5
    7016    echo "$as_me:7016: \$? = $ac_status" >&5
     7086   echo "$as_me:7086: \$? = $ac_status" >&5
    70177087   if (exit $ac_status) && test -s "$ac_outfile"; then
    70187088     # The compiler can only warn and ignore the option if not recognized
     
    71147184   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    71157185   -e 's:$: $lt_compiler_flag:'`
    7116    (eval echo "\"\$as_me:7116: $lt_compile\"" >&5)
     7186   (eval echo "\"\$as_me:7186: $lt_compile\"" >&5)
    71177187   (eval "$lt_compile" 2>out/conftest.err)
    71187188   ac_status=$?
    71197189   cat out/conftest.err >&5
    7120    echo "$as_me:7120: \$? = $ac_status" >&5
     7190   echo "$as_me:7190: \$? = $ac_status" >&5
    71217191   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    71227192   then
     
    94599529  lt_status=$lt_dlunknown
    94609530  cat > conftest.$ac_ext <<EOF
    9461 #line 9461 "configure"
     9531#line 9531 "configure"
    94629532#include "confdefs.h"
    94639533
     
    95599629  lt_status=$lt_dlunknown
    95609630  cat > conftest.$ac_ext <<EOF
    9561 #line 9561 "configure"
     9631#line 9631 "configure"
    95629632#include "confdefs.h"
    95639633
     
    1190311973   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1190411974   -e 's:$: $lt_compiler_flag:'`
    11905    (eval echo "\"\$as_me:11905: $lt_compile\"" >&5)
     11975   (eval echo "\"\$as_me:11975: $lt_compile\"" >&5)
    1190611976   (eval "$lt_compile" 2>conftest.err)
    1190711977   ac_status=$?
    1190811978   cat conftest.err >&5
    11909    echo "$as_me:11909: \$? = $ac_status" >&5
     11979   echo "$as_me:11979: \$? = $ac_status" >&5
    1191011980   if (exit $ac_status) && test -s "$ac_outfile"; then
    1191111981     # The compiler can only warn and ignore the option if not recognized
     
    1200712077   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1200812078   -e 's:$: $lt_compiler_flag:'`
    12009    (eval echo "\"\$as_me:12009: $lt_compile\"" >&5)
     12079   (eval echo "\"\$as_me:12079: $lt_compile\"" >&5)
    1201012080   (eval "$lt_compile" 2>out/conftest.err)
    1201112081   ac_status=$?
    1201212082   cat out/conftest.err >&5
    12013    echo "$as_me:12013: \$? = $ac_status" >&5
     12083   echo "$as_me:12083: \$? = $ac_status" >&5
    1201412084   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1201512085   then
     
    1357713647   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1357813648   -e 's:$: $lt_compiler_flag:'`
    13579    (eval echo "\"\$as_me:13579: $lt_compile\"" >&5)
     13649   (eval echo "\"\$as_me:13649: $lt_compile\"" >&5)
    1358013650   (eval "$lt_compile" 2>conftest.err)
    1358113651   ac_status=$?
    1358213652   cat conftest.err >&5
    13583    echo "$as_me:13583: \$? = $ac_status" >&5
     13653   echo "$as_me:13653: \$? = $ac_status" >&5
    1358413654   if (exit $ac_status) && test -s "$ac_outfile"; then
    1358513655     # The compiler can only warn and ignore the option if not recognized
     
    1368113751   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1368213752   -e 's:$: $lt_compiler_flag:'`
    13683    (eval echo "\"\$as_me:13683: $lt_compile\"" >&5)
     13753   (eval echo "\"\$as_me:13753: $lt_compile\"" >&5)
    1368413754   (eval "$lt_compile" 2>out/conftest.err)
    1368513755   ac_status=$?
    1368613756   cat out/conftest.err >&5
    13687    echo "$as_me:13687: \$? = $ac_status" >&5
     13757   echo "$as_me:13757: \$? = $ac_status" >&5
    1368813758   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1368913759   then
     
    1588815958   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1588915959   -e 's:$: $lt_compiler_flag:'`
    15890    (eval echo "\"\$as_me:15890: $lt_compile\"" >&5)
     15960   (eval echo "\"\$as_me:15960: $lt_compile\"" >&5)
    1589115961   (eval "$lt_compile" 2>conftest.err)
    1589215962   ac_status=$?
    1589315963   cat conftest.err >&5
    15894    echo "$as_me:15894: \$? = $ac_status" >&5
     15964   echo "$as_me:15964: \$? = $ac_status" >&5
    1589515965   if (exit $ac_status) && test -s "$ac_outfile"; then
    1589615966     # The compiler can only warn and ignore the option if not recognized
     
    1615616226   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1615716227   -e 's:$: $lt_compiler_flag:'`
    16158    (eval echo "\"\$as_me:16158: $lt_compile\"" >&5)
     16228   (eval echo "\"\$as_me:16228: $lt_compile\"" >&5)
    1615916229   (eval "$lt_compile" 2>conftest.err)
    1616016230   ac_status=$?
    1616116231   cat conftest.err >&5
    16162    echo "$as_me:16162: \$? = $ac_status" >&5
     16232   echo "$as_me:16232: \$? = $ac_status" >&5
    1616316233   if (exit $ac_status) && test -s "$ac_outfile"; then
    1616416234     # The compiler can only warn and ignore the option if not recognized
     
    1626016330   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1626116331   -e 's:$: $lt_compiler_flag:'`
    16262    (eval echo "\"\$as_me:16262: $lt_compile\"" >&5)
     16332   (eval echo "\"\$as_me:16332: $lt_compile\"" >&5)
    1626316333   (eval "$lt_compile" 2>out/conftest.err)
    1626416334   ac_status=$?
    1626516335   cat out/conftest.err >&5
    16266    echo "$as_me:16266: \$? = $ac_status" >&5
     16336   echo "$as_me:16336: \$? = $ac_status" >&5
    1626716337   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1626816338   then
     
    1974819818   { (exit 1); exit 1; }; }
    1974919819fi
    19750 if test -z "${COIN_DEBUG_TRUE}" && test -z "${COIN_DEBUG_FALSE}"; then
    19751   { { echo "$as_me:$LINENO: error: conditional \"COIN_DEBUG\" was never defined.
    19752 Usually this means the macro was only invoked conditionally." >&5
    19753 echo "$as_me: error: conditional \"COIN_DEBUG\" was never defined.
    19754 Usually this means the macro was only invoked conditionally." >&2;}
    19755    { (exit 1); exit 1; }; }
    19756 fi
    1975719820if test -z "${MAINTAINER_MODE_TRUE}" && test -z "${MAINTAINER_MODE_FALSE}"; then
    1975819821  { { echo "$as_me:$LINENO: error: conditional \"MAINTAINER_MODE\" was never defined.
     
    2032320386s,@build_vendor@,$build_vendor,;t t
    2032420387s,@build_os@,$build_os,;t t
    20325 s,@COIN_DEBUG_TRUE@,$COIN_DEBUG_TRUE,;t t
    20326 s,@COIN_DEBUG_FALSE@,$COIN_DEBUG_FALSE,;t t
     20388s,@ADD_FFLAGS@,$ADD_FFLAGS,;t t
     20389s,@DBG_FFLAGS@,$DBG_FFLAGS,;t t
     20390s,@OPT_FFLAGS@,$OPT_FFLAGS,;t t
    2032720391s,@F77@,$F77,;t t
    2032820392s,@FFLAGS@,$FFLAGS,;t t
     
    2033120395s,@EXEEXT@,$EXEEXT,;t t
    2033220396s,@OBJEXT@,$OBJEXT,;t t
    20333 s,@ADD_FFLAGS@,$ADD_FFLAGS,;t t
    2033420397s,@MPIF77@,$MPIF77,;t t
    2033520398s,@EGREP@,$EGREP,;t t
  • ThirdParty/Blas/trunk/configure.ac

    r74 r92  
    4141
    4242# Check if user wants to produce debugging code
    43 AC_COIN_DEBUG_COMPILE
     43AC_COIN_DEBUG_COMPILE(Blas)
    4444
    4545# Get the name of the Fortran compiler and appropriate compiler options
Note: See TracChangeset for help on using the changeset viewer.